/*
 * c67x00-udc.h: Cypress C67X00 USB device controller
 *
 * Copyright (C) 2006-2007 Barco N.V.
 *    Derived from the Cypress cy7c67200/300 ezusb linux driver and
 *    based on multiple device controller drivers inside the linux kernel.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA.
 */

#ifndef _USB_C67X00_UDC_H
#define _USB_C67X00_UDC_H

#include <linux/kernel.h>

#ifdef CONFIG_USB_C67X00_PERIPHERAL
/* Functions used by drv */
int c67x00_udc_probe(struct c67x00_sie *sie);
void c67x00_udc_remove(struct c67x00_sie *sie);

int c67x00_udc_init(void);
void c67x00_udc_cleanup(void);

#else
static inline int c67x00_udc_probe(struct c67x00_sie *sie)
{
	printk(KERN_ERR "udc requested but CONFIG_USB_C67X00_PERIPHERAL "
	       "not enabled!\n");
	return -ENODEV;
}

static inline void c67x00_udc_remove(struct c67x00_sie *sie)
{
}

static inline int c67x00_udc_init(void)
{
	return 0;
}

static inline void c67x00_udc_cleanup(void)
{
}
#endif				/* CONFIG_USB_C67X00_PERIPHERAL */

#endif				/* _USB_C67X00_UDC_H */
